Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.model
Class OutboundCallFactory

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.contact.SingleTypeContactFactory
          umontreal.iro.lecuyer.contactcenters.msk.model.CallFactory
              umontreal.iro.lecuyer.contactcenters.msk.model.OutboundCallFactory

All Implemented Interfaces:
  ContactFactory

    public class OutboundCallFactory

extends CallFactory

Represents a call factory for outbound calls. This extends `CallFactory` with parameters specific to outbound calls: the probability of right-party connect, and the generators for reach and fail times.

Constructor Summary
`OutboundCallFactory(CallCenter cc, CallCenterParams ccParams, OutboundTypeParams par, int k)` Constructs a new call factory for outbound call.

Method Summary
`MultiPeriodGen` | `getFailGen()` Returns the random variate generator for fail times.
`double` | `getProbReach(int mp)` Returns the probability of right party connect for this outbound call type during main period `p`.
`double` | `getProbRPC(int mp)` Returns the probability of right party connect for this outbound call type during main period `p`.
`MultiPeriodGen` | `getReachGen()` Returns the random variate generator for reach times.
`void` | `init()` Initializes this call factory by setting the multipliers for patience and service times.
`void` | `setRandomVariables(Contact contact)` Generates the random variates related to a contact, and assigns the generated value to the given `contact` object.

Methods inherited from class umontreal.iro.lecuyer.contactcenters.msk.model.CallFactory
`checkInbound, checkOutbound, create, createRandomTypeContactFactory, getCallCenter, getConferenceTimesManager, getExpectedWaitingTimeMult, getExpectedWaitingTimeThresh, getName, getPatienceTimeGen, getPatienceTimesMult, getPatienceTimesMultCallBack, getPatienceTimesMultNoVirtualQueue, getPreServiceTimesNoConfManager, getProbAbandon, getProbTransfer, getProbTransferWait, getProbVirtualQueue, getProbVirtualQueueCallBack, getProperties, getServiceTimeGen, getServiceTimeGenGroups, getServiceTimesManager, getServiceTimesMultCallBack, getServiceTimesMultNoVirtualQueue, getServiceTimesMultTransfer, getTargetVQType, getTransferTargetFactory, getTransferTimesManager, getWeight, getWeight, initTransferTargets, isCallTransferSupported, isDisableCallSource, isExcludedFromStatTotal, isVirtualHoldSupported, multiplyServiceTimesCallBack, multiplyServiceTimesNoVirtualQueue, newInstance, setConferenceTimes, setDisableCallSource, setExcludedFromStatTotal, setPatienceTimeGen, setPatienceTimesMult, setPreServiceTimesNoConf, setProbTransfer, setProbTransferWait, setTargetVQType`

Methods inherited from class umontreal.iro.lecuyer.contactcenters.contact.SingleTypeContactFactory
`getAfterContactTimeGen, getAfterContactTimeGen, getAfterContactTimeGenGroups, getContactTimeGen, getContactTimeGen, getContactTimeGenGroups, getMeanAfterContactTime, getMeanContactTime, getProbBalkGenerator, getStreamBalk, getTypeId, setAfterContactTimeGen, setAfterContactTimeGenGroups, setContactTimeGen, setContactTimeGenGroups, setProbBalkGenerator, setSimulator, setStreamBalk, setTypeId, simulator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutboundCallFactory

    public OutboundCallFactory(CallCenter cc,
                               CallCenterParams ccParams,
                               OutboundTypeParams par,
                               int k)
                        throws CallFactoryCreationException

  Constructs a new call factory for outbound call.

  Parameters:
    `cc` - the call center.
    `ccParams` - the call center parameters.
    `par` - the parameters of the outbound call type.
    `k` - the index of the call type.
  Throws:
    `CallFactoryCreationException` - if an error occurs during the creation of the factory.

Method Detail

### init

    public void init()

  Description copied from class: `CallFactory`
  Initializes this call factory by setting the multipliers for patience and service times.

  Overrides:
    `init` in class `CallFactory`

### getProbReach

    public double getProbReach(int mp)

  Returns the probability of right party connect for this outbound call type during main period `p`.

  Parameters:
    `mp` - the index of the main period.
  Returns:
    the probability of right party connect.

### getProbRPC

    public double getProbRPC(int mp)

  Returns the probability of right party connect for this outbound call type during main period `p`.

  Parameters:
    `mp` - the index of the main period.
  Returns:
    the probability of right party connect.

### getReachGen

    public MultiPeriodGen getReachGen()

  Returns the random variate generator for reach times.

  Returns:
    the random variate generator for reach times.

### getFailGen

    public MultiPeriodGen getFailGen()

  Returns the random variate generator for fail times.

  Returns:
    the random variate generatof for fail times.

### setRandomVariables

    public void setRandomVariables(Contact contact)

  Description copied from class: `SingleTypeContactFactory`
  Generates the random variates related to a contact, and assigns the generated value to the given `contact` object.

  Overrides:
    `setRandomVariables` in class `CallFactory`
  Parameters:
    `contact` - the contact object to set up.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.